# Function buildInsertBulkSql

- buildInsertBulkSql(
  tbl: string,
  objs: Row[],
  opts?: { ignoreExisting?: boolean; noid?: boolean; replace?: boolean },
  ): SqlAndValuesBulk[]

  Build INSERT INTO sql statements for multiple rows The rows are grouped by fields that are the same

  #### Parameters

  - tbl: string

    table name

  - objs: Row[]

    rows to insert

  - opts: { ignoreExisting?: boolean; noid?: boolean; replace?: boolean } = {}

    noid, ignoreExisting, replace

  #### Returns SqlAndValuesBulk[]

  an array of sql strings with values for the placeholders

  - Defined in sqlite-commons.ts:112